Ruby: ScanEnv Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
ScanEnv Struct Reference

`#include <regparse.h>`

## Data Fields
OnigOptionType | option
OnigCaseFoldType | case_fold_flag
OnigEncoding | enc
const OnigSyntaxType * | syntax
BitStatusType | capture_history
BitStatusType | bt_mem_start
BitStatusType | bt_mem_end
BitStatusType | backrefed_mem
UChar * | pattern
UChar * | pattern_end
UChar * | error
UChar * | error_end
regex_t * | reg
UnsetAddrList * | unset_addr_list
int | num_call
int | num_mem
int | num_named
int | mem_alloc
Node * | mem_nodes_static [SCANENV_MEMNODES_SIZE]
Node ** | mem_nodes_dynamic
unsigned int | parse_depth
int | warnings_flag
const char * | sourcefile
int | sourceline

## Detailed Description

Definition at line 290 of file regparse.h.

## Field Documentation

## ◆ backrefed_mem

BitStatusType ScanEnv::backrefed_mem

Definition at line 298 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ bt_mem_end

BitStatusType ScanEnv::bt_mem_end

Definition at line 297 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ bt_mem_start

BitStatusType ScanEnv::bt_mem_start

Definition at line 296 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ capture_history

BitStatusType ScanEnv::capture_history

Definition at line 295 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ case_fold_flag

OnigCaseFoldType ScanEnv::case_fold_flag

Definition at line 292 of file regparse.h.

## ◆ enc

OnigEncoding ScanEnv::enc

Definition at line 293 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ error

UChar* ScanEnv::error

Definition at line 301 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ error_end

UChar* ScanEnv::error_end

Definition at line 302 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ mem_alloc

int ScanEnv::mem_alloc

Definition at line 312 of file regparse.h.

## ◆ mem_nodes_dynamic

Node** ScanEnv::mem_nodes_dynamic

Definition at line 314 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ mem_nodes_static

Node* ScanEnv::mem_nodes_static[SCANENV_MEMNODES_SIZE]

Definition at line 313 of file regparse.h.

## ◆ num_call

int ScanEnv::num_call

Definition at line 307 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ num_mem

int ScanEnv::num_mem

Definition at line 308 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ num_named

int ScanEnv::num_named

Definition at line 310 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ option

OnigOptionType ScanEnv::option

Definition at line 291 of file regparse.h.

## ◆ parse_depth

unsigned int ScanEnv::parse_depth

Definition at line 321 of file regparse.h.

## ◆ pattern

UChar* ScanEnv::pattern

Definition at line 299 of file regparse.h.

## ◆ pattern_end

UChar* ScanEnv::pattern_end

Definition at line 300 of file regparse.h.

## ◆ reg

regex_t* ScanEnv::reg

Definition at line 303 of file regparse.h.

## ◆ sourcefile

const char* ScanEnv::sourcefile

Definition at line 324 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ sourceline

int ScanEnv::sourceline

Definition at line 325 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ syntax

const OnigSyntaxType* ScanEnv::syntax

Definition at line 294 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ unset_addr_list

UnsetAddrList* ScanEnv::unset_addr_list

Definition at line 305 of file regparse.h.

Referenced by onig_compile_ruby().

## ◆ warnings_flag

int ScanEnv::warnings_flag

Definition at line 322 of file regparse.h.

The documentation for this struct was generated from the following file:

- regparse.h